Subject: Re: [PATCH] fast-import: add ignore non-existent files option.

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 1 Sep 2008 22:35:03 -0700

Junio C Hamano <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> 
> > OK, that argument makes sense.  Then I wonder if more specific
> > error ignoring would be better:
> >
> >   --ignore-error=already-deleted
> >   --ignore-error=already-deleted,missing-mark,missing-copy-source
> >
> > I'm not really fond of turning an existing error condition that
> > exists to catch broken frontends into a generic tolerant flag.
> > But being able to selectively turn it off while leaving other
> > errors as errors isn't entirely unreasonable.
> 
> I think selective loosening of consistency check makes sense very much,
> but I have been wondering if these should be command line options.
> 
> The only example we saw so far is about output from one exporter.  Perhaps
> it should be given to fast-import as initial set of commands ("#pragma"!)
> that describes the nature of the input file?

Yea, I briefly considered that when I added the timestamp format
option.  I didn't bother because it was a single option and I figured
most frontends start git-fast-import directly.  But with this being
added a "format pragrma header thingy" makes a lot of sense.

Since comments are supported we could backdoor it with #pragma or
something like that, so existing files can still be (mostly) parsed
by an earlier git-fast-import.  But I wonder if that is wise given
that some classes of errors would still fail on the older import,
but would work on a newer one.  Might as well just make it a proper
command that would cause an older importer to fail out of the gate.

-- 
Shawn.